Kerbal Space Program - Bug #18459

SM-18 and SM-25 Service Module internal access not working
04/08/2018 05:39 AM - TGP

Status: Closed Start date: 04/08/2018
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.7.0

Version: 1.4.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Making History

Description

| have seen similar bugs reported but not this one specifically. If it is a repeat my apologies.

When using the SM-18 or SM-25 service modules, access to the parts (science equipment etc) inside the module is only available
immediately after jettisoning the shrouds through staging. If a Kerbal is taken on EVA, the vessel is switched and then switched back
or if you return to the space center and then back to the vessel the service modules act as if the shrouds have not been jettisoned at
all. The shrouds do not show up and you can visually see the parts that are within the bays, but they are unable to be clicked on, or
used by Kerbals on EVA. The parts are still active if they are bound to action groups. This does not allow for clean-up of one time use
science parts such as the mystery goo by an EVA scientist.

Originally discovered in a modded version of the game. Game was uninstalled, and mods removed. A fresh install from steam was
then used to test this bug again. Bug found present in a clean install of V1.4.2 with Making History Installed.

The two pictures showing the experiment click menus are taking just after shroud is staged off. The experiments become stuck inside
the service module as soon as the EVA is started, (shown in picture) and stay stuck inside after (also shown).

| did managed to complete a mission by zooming in so that | was "inside" the service module and could have the cursor within it and
select any science parts this way. Once selected the menus were pinned and left that way for the duration. Makes it playable but
slightly frustrating and cluttered.

History

#1 - 04/08/2018 08:04 AM - Jungfaha

Confirmed its as if it just for show... pls fix

#2 - 04/08/2018 12:45 PM - jclovis3
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Related reports:

Bug #18248 (Service modules missing buttons and incomplete shroud removal) connects to two other related reports:

Feedback #18085 requests to making staging an option for service modules. This would be a co-requirement of a deploy option in the part menu in
flight.

Bug #18041 reports that covers/shrouds don't deploy fast enough and are still there after leaving and coming back.

Bug #18032 reports similar to 18041 except concerning starting without shrouds.

I think that this bug is pretty much another description of 18041 which describes how the contents are inaccessible after returning from another ship or
KSC.

#3 - 04/26/2018 11:18 PM - Squelch
- Status changed from Confirmed to Ready to Test
- Target version set to 1.4.3

- % Done changed from 10 to 80

This should now be fixed.
https://bugs.kerbalspaceprogram.com/issues/18248
https://bugs.kerbalspaceprogram.com/issues/18085
https://bugs.kerbalspaceprogram.com/issues/18041
https://bugs.kerbalspaceprogram.com/issues/18032

#4 - 04/27/2018 05:52 AM - jclovis3
- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

While the shrouds stay gone, you cannot access any parts attached to the interior of these service modules. Trying to right-click on any internal part
results in the action menu for the service module opening up.

Also, in the VAB, you can't grab and remove any parts once placed inside.

#5 - 05/06/2018 01:50 PM - klesh

| can confirm this is not fixed in 1.4.3, and we can add the SM-6A to the list.

Just launched a craft with a shroudless SM-6A inside a fairing (shroud removed via PAW in VAB and left off at launch). Popped fairing to reveal
SM-6A and its contents, antennae acts as though they are stowed, and | have to put the camera inside the SM-6A to be able to click the science
experiments.

#6 - 05/07/2018 02:26 PM - klesh
- File 220200_20180507102400_1.png added

#7 - 12/02/2018 01:10 PM - uhfueh94yfydfhvh

| am seeing slightly similar issues in KSP 1.5, where | cannot interact with any part (science, in my case) inside the SM-18 module at all. If | enter the
launch pad with a vehicle including the SM-18 service module with the shroud "off", | am not able to interact with any of the parts right from the start.
This behaviour also occurs if | enter the launch pad with the shroud enabled and deploy it.

#9 - 02/10/2019 12:36 AM - inopinatus

Confirmed this bug is still present in 1.6.1.

#10 - 03/21/2019 02:15 PM - MechBFP

Can confirm as well. Still a problem.

#11 - 04/11/2019 11:13 PM - chris.fulton
- Status changed from Not Fixed to Ready to Test
- Target version changed from 1.4.3to 1.7.0

- % Done changed from 50 to 80

Changes have been made up to 1.7, this issue should be fixed and moving it to RTT.

#12 - 04/12/2019 03:43 PM - klesh
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

chris.fulton wrote:

Changes have been made up to 1.7, this issue should be fixed and moving it to RTT.

Okay, | just had a test of what was described by the OP. This does seem to be fixed.
| used both SM-18 & SM-25, eva'd kerbals and also went back to space center and then back to craft and all variations do seem to work. That is, all
stowed parts behind the jettisonable doors are in fact accessible and function as one would expect. Yay!

However, the "cannot deploy when stowed" bug that | posted using the SM-6a is still present, but different... you no longer need to move the camera
inside the part to access experiments and antennae. If you do remove the shroud on any of the SM's in the VAB and leave them off and launch the
craft, you run into the "cannot deploy" issue. Now though, science experiments work fine, its simply antennae that refuse to deploy. I'm thinking that
should get its own bug entry now, because its different enough to warrant its own entry while this entry here should probably be marked as
resolved/complete.

Thoughts?

#13 - 04/12/2019 06:19 PM - chris.fulton

Please enter a new bug since the original report is now fixed. Thank You.

#14 - 04/12/2019 06:19 PM - chris.fulton

- Status changed from Resolved to Closed
